local metadata = {
"## Interface:FS17 1.x",
"## Title: HiredHelperTool",
"## Notes: Neue Helfer im SP/MP/DetiServer mit Realen Namen",
"## Author: HappyLooser",
"## Version: 0.4",
"## Date: 28.12.2014",
"## Update: 03.11.2016",
"## Web: no",
"## Info: Änderungen,Kopien oder Code Benutzung ist ohne meine Zustimmung nicht erlaubt"
} 

HiredHelperTool = {};
	
function HiredHelperTool:loadMap(name)	
	print("---Script loaded: HiredHelperTool by HappyLooser---")	
	local isMpCheck = false;
	local errorTable = false;
	local oldMaxNumHirables = g_currentMission.maxNumHirables;
	local helperName = {
		"SALLY";
		"SAM";
		"SCHURA";
		"ZENZ";
		"VIVIAN";
		"REINKE";
		"MAREN";
		"NICKI";
		"LU";
		"FIETE";	
		"CATO";
		"CURLY"; 
		"FRANA";
		"FRIIS";
		"IKE";
		"JULES";
		"SANJA";
		"MIKA";
		"APKE";
		"JOYCE";
		"ELISA";
		"KAYA";
		"IMRE";
		"JACKY";
		"EIKE";
		"NAT";
		"PATTY";
		"TAM";
		"TADE";
		"TEDE"; --default 30, max 50 etc. etc. 
	};
	if g_currentMission ~= nil and HelperUtil ~= nil then 
		g_currentMission.maxNumHirables	= #helperName;		
		local hString = "HELPER_";		
		local helperTable = {oldName={};name={},xmlFile={},index={}};		
		for a=1, HelperUtil.NUM_HELPERS do
			table.insert(helperTable.oldName, hString.. tostring(HelperUtil.helperIndexToDesc[a].name));					
		end;
		for a=11, g_currentMission.maxNumHirables do
			if helperName[a] ~= nil then
				if a <= 20 then					
					HelperUtil.registerHelper(tostring(string.upper(helperName[a])), tostring(HelperUtil.helperIndexToDesc[a-10].xmlFilename), a);				
				elseif a > 20 and a <= 30 then --default 30				
					HelperUtil.registerHelper(tostring(string.upper(helperName[a])), tostring(HelperUtil.helperIndexToDesc[a-20].xmlFilename), a);
				elseif a > 30 and a <= 40 then --max 40			
					HelperUtil.registerHelper(tostring(string.upper(helperName[a])), tostring(HelperUtil.helperIndexToDesc[a-30].xmlFilename), a);
				elseif a > 40 and a <= 50 then --max 50	etc. etc.			
					HelperUtil.registerHelper(tostring(string.upper(helperName[a])), tostring(HelperUtil.helperIndexToDesc[a-40].xmlFilename), a);	
				end;
			else
				errorTable = true;
				g_currentMission.maxNumHirables	= oldMaxNumHirables;
				break;
			end;
		end;
		if errorTable then print("---Script HiredHelperTool Error !!!(helperName Table corrupt)---");return false;end;
		for a=1, HelperUtil.NUM_HELPERS do
			table.insert(helperTable.name, tostring(HelperUtil.helperIndexToDesc[a].name));
			table.insert(helperTable.xmlFile, tostring(HelperUtil.helperIndexToDesc[a].xmlFilename));
			table.insert(helperTable.index, tonumber(HelperUtil.helperIndexToDesc[a].index));			
		end;
		function table.removeKey(t, k_to_remove)
		  local new = {};
		  for k, v in pairs(t) do
			new[k] = v;
		  end
		  new[k_to_remove] = nil;
		  return new;
		end;		
		for a=1, #helperTable.oldName do
			for k, v in pairs(HelperUtil) do
				if helperTable.oldName[a] == k then
					HelperUtil = table.removeKey(HelperUtil, k);
					HelperUtil[tostring(hString).. string.upper(helperName[a])] = v;
					HelperUtil.availableHelpers[v].name = string.upper(helperName[a]);
					HelperUtil.helperIndexToDesc[v].name = string.upper(helperName[a]);
					HelperUtil.helpers = table.removeKey(HelperUtil.helpers, string.gsub(helperTable.oldName[a], hString, ""));
					HelperUtil.helpers[helperName[a]] = {name=string.upper(helperName[a]),xmlFilename=helperTable.xmlFile[a],index=helperTable.index[a]};
				end;
			end;
		end;
	else
		errorTable = true;
		print("---Script HiredHelperTool Error !!!(not found MissionsData/HelperUtil)---");
	end;	
end;

function HiredHelperTool:deleteMap()
end;

function HiredHelperTool:mouseEvent(posX, posY, isDown, isUp, button)
end;

function HiredHelperTool:keyEvent(unicode, sym, modifier, isDown)	
end;

function HiredHelperTool:update(dt)
	if not isMpCheck and not errorTable then
		if g_currentMission.maxNumHirables ~= HelperUtil.NUM_HELPERS then
			g_currentMission.maxNumHirables = HelperUtil.NUM_HELPERS;
			isMpCheck = true;
		end;
	end;
end;

function HiredHelperTool:draw(dt)
end;
addModEventListener(HiredHelperTool);